# useful-scripts

> [!NOTE]  
> This repository is mirrored on [Codeberg](https://codeberg.org/alexhyett/useful-scripts) if you wanted to raise an issue.

A collection of useful scripts that I use everyday.

- `getStarred.sh` - Get starred articles from Miniflux and copy to clipboard. [Notes](https://www.alexhyett.com/notes/getting-starred-items-from-miniflux/)
- `unstar.sh` - Unstar all starred articles on Miniflux. [Notes](https://www.alexhyett.com/notes/getting-starred-items-from-miniflux/)
- `syncBlog.sh` - The script I use to sync my notes and articles from Obsidian to my website. Converting the links. [Notes](https://www.alexhyett.com/notes/syncing-my-obsidian-notes-with-my-blog/)
- `moveFiles.sh` - This script checks to see if my server (friday) is online and the folders are mounted before moving files downloaded using rsync.
- `copyfiles.sh` - Same as the above but it copies instead of moves the files. [Notes](https://www.alexhyett.com/notes/moving-files-with-rsync/)
- `slackit.sh` - I use this to easily send slack notifications to myself from inside other scripts. [Notes](https://www.alexhyett.com/notes/send-slack-messages-with-a-command/)